package com.tofly.watermeter.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;
import java.util.Map;

public interface CustomWaterGisService {
    /**
     * 水表关联查询
     */
    Page<Map> viewWater(Page page, String khbh,String yhxm,String yhdz);

    /**
     * 用水监控
     * @param page pang
     * @param code 客户编号/姓名/地址
     * @return page
     */
    Page waterMonitoring(Page page, String code);


    /**
     * 停水区域查询
     *
     * @param page    page
     * @param valveId 阀门id
     * @return page
     */
    Page viewWaterCut(Page page, String valveId);

    /**
     * 客户用水量查询
     *
     * @param khbh 客户编号
     * @return map
     */
    Page viewUseWater(Page page,String khbh);

    /**
     * 用水监控查看所有用户用水量
     * @param page page
     * @return page
     */
    Page waterMonitoring(Page page);

    /**
     * 用户用水历史 （调用第三方接口）
     * @param page page
     * @param yhbh 用户编号
     * @return page
     */
    Page useWaterHistory(Page page,String yhbh,String startTime,String endTime);

    /**
     * 通过水表编号获取信息
     * @param number 水表编号
     * @return list
     */
    Map<String,Object> numberGetInfo(String number);

    /**
     * 模糊查询水表编号
     * @param str str
     * @return list
     */
    List<String> likeNumber(String str);

}
